aboutsummaryrefslogtreecommitdiff
path: root/mp/src/thirdparty/protobuf-2.3.0/generate_descriptor_proto.sh
diff options
context:
space:
mode:
authorJørgen P. Tjernø <[email protected]>2013-07-05 12:09:04 -0700
committerJørgen P. Tjernø <[email protected]>2013-07-05 12:09:48 -0700
commit3527e2f9f1ad7bb7fdf78a9411f7b101c6d41415 (patch)
treec78f98d5b4e92e32d52da495d7e1689a8731ad6b /mp/src/thirdparty/protobuf-2.3.0/generate_descriptor_proto.sh
parentUpdate text & binary attributes. (diff)
downloadsource-sdk-2013-3527e2f9f1ad7bb7fdf78a9411f7b101c6d41415.tar.xz
source-sdk-2013-3527e2f9f1ad7bb7fdf78a9411f7b101c6d41415.zip
Normalize line endings
Fixes issue #75.
Diffstat (limited to 'mp/src/thirdparty/protobuf-2.3.0/generate_descriptor_proto.sh')
-rw-r--r--mp/src/thirdparty/protobuf-2.3.0/generate_descriptor_proto.sh66
1 files changed, 33 insertions, 33 deletions
diff --git a/mp/src/thirdparty/protobuf-2.3.0/generate_descriptor_proto.sh b/mp/src/thirdparty/protobuf-2.3.0/generate_descriptor_proto.sh
index db0b0836..07219dc1 100644
--- a/mp/src/thirdparty/protobuf-2.3.0/generate_descriptor_proto.sh
+++ b/mp/src/thirdparty/protobuf-2.3.0/generate_descriptor_proto.sh
@@ -1,33 +1,33 @@
-#!/bin/sh
-
-# Run this script to regenerate descriptor.pb.{h,cc} after the protocol
-# compiler changes. Since these files are compiled into the protocol compiler
-# itself, they cannot be generated automatically by a make rule. "make check"
-# will fail if these files do not match what the protocol compiler would
-# generate.
-#
-# HINT: Flags passed to generate_descriptor_proto.sh will be passed directly
-# to make when building protoc. This is particularly useful for passing
-# -j4 to run 4 jobs simultaneously.
-
-if test ! -e src/google/protobuf/stubs/common.h; then
- cat >&2 << __EOF__
-Could not find source code. Make sure you are running this script from the
-root of the distribution tree.
-__EOF__
- exit 1
-fi
-
-if test ! -e src/Makefile; then
- cat >&2 << __EOF__
-Could not find src/Makefile. You must run ./configure (and perhaps
-./autogen.sh) first.
-__EOF__
- exit 1
-fi
-
-cd src
-make $@ protoc &&
- ./protoc --cpp_out=dllexport_decl=LIBPROTOBUF_EXPORT:. google/protobuf/descriptor.proto && \
- ./protoc --cpp_out=dllexport_decl=LIBPROTOC_EXPORT:. google/protobuf/compiler/plugin.proto
-cd ..
+#!/bin/sh
+
+# Run this script to regenerate descriptor.pb.{h,cc} after the protocol
+# compiler changes. Since these files are compiled into the protocol compiler
+# itself, they cannot be generated automatically by a make rule. "make check"
+# will fail if these files do not match what the protocol compiler would
+# generate.
+#
+# HINT: Flags passed to generate_descriptor_proto.sh will be passed directly
+# to make when building protoc. This is particularly useful for passing
+# -j4 to run 4 jobs simultaneously.
+
+if test ! -e src/google/protobuf/stubs/common.h; then
+ cat >&2 << __EOF__
+Could not find source code. Make sure you are running this script from the
+root of the distribution tree.
+__EOF__
+ exit 1
+fi
+
+if test ! -e src/Makefile; then
+ cat >&2 << __EOF__
+Could not find src/Makefile. You must run ./configure (and perhaps
+./autogen.sh) first.
+__EOF__
+ exit 1
+fi
+
+cd src
+make $@ protoc &&
+ ./protoc --cpp_out=dllexport_decl=LIBPROTOBUF_EXPORT:. google/protobuf/descriptor.proto && \
+ ./protoc --cpp_out=dllexport_decl=LIBPROTOC_EXPORT:. google/protobuf/compiler/plugin.proto
+cd ..